Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.atom
Class Feed

    java.lang.Object
      com.sun.syndication.feed.WireFeed
          com.sun.syndication.feed.atom.Feed

All Implemented Interfaces:
  Extendable, Serializable, Cloneable

    public class Feed

extends WireFeed

Bean for Atom feeds.

It handles Atom feeds version 0.3 without loosing any feed information.

Author:
  Alejandro Abdelnur, Dave Johnson (updated for Atom 1.0)
See Also:
  Serialized Form

Constructor Summary
`Feed()` Default constructor, for bean cloning purposes only.
`Feed(String type)` Feed Constructor.

Method Summary
`List<Link>` | `getAlternateLinks()` Returns the feed alternate links.
`List<Person>` | `getAuthors()` Returns the feed author.
`List` | `getCategories()` Returns the categories
`List<Person>` | `getContributors()` Returns the feed contributors.
`String` | `getCopyright()` Returns the feed copyright (Atom 0.3, maps to `getRights()`).
`List<Entry>` | `getEntries()` Returns the feed entries.
`Generator` | `getGenerator()` Returns the feed generator.
`String` | `getIcon()` Returns the icon
`String` | `getId()` Returns the feed ID.
`Content` | `getInfo()` Returns the feed info (Atom 0.3 only)
`String` | `getLanguage()` Returns the feed language (Atom 0.3 only)
`String` | `getLogo()` Returns the logo
`Date` | `getModified()` Returns the feed modified date (Atom 0.3, maps to `getUpdated()`).
`Module` | `getModule(String uri)` Returns the module identified by a given URI.
`List<Module>` | `getModules()` Returns the feed modules.
`List<Link>` | `getOtherLinks()` Returns the feed other links (non-alternate ones).
`String` | `getRights()` Returns the rights
`Content` | `getSubtitle()` Returns the subtitle
`Content` | `getTagline()` Returns the feed tag line (Atom 0.3, maps to `getSubtitle()`).
`String` | `getTitle()` Returns the feed title.
`Content` | `getTitleEx()` Returns the feed title.
`Date` | `getUpdated()` Returns the updated
`String` | `getXmlBase()` Returns the xmlBase
`void` | `setAlternateLinks(List<Link> alternateLinks)` Sets the feed alternate links.
`void` | `setAuthors(List<Person> authors)` Sets the feed author.
`void` | `setCategories(List<Category> categories)` Set the categories
`void` | `setContributors(List<Person> contributors)` Sets the feed contributors.
`void` | `setCopyright(String copyright)` Sets the feed copyright (Atom 0.3, maps to `setRights(java.lang.String)`).
`void` | `setEntries(List entries)` Sets the feed entries.
`void` | `setGenerator(Generator generator)` Sets the feed generator.
`void` | `setIcon(String icon)` Set the icon
`void` | `setId(String id)` Sets the feed ID.
`void` | `setInfo(Content info)` Sets the feed info (Atom 0.3 only)
`void` | `setLanguage(String language)` Sets the feed language (Atom 0.3 only)
`void` | `setLogo(String logo)` Set the logo
`void` | `setModified(Date modified)` Sets the feed modified date (Atom 0.3, maps to `setUpdated(java.util.Date)`).
`void` | `setModules(List<Module> modules)` Sets the feed moduless.
`void` | `setOtherLinks(List<Link> otherLinks)` Sets the feed other links (non-alternate ones).
`void` | `setRights(String rights)` Set the rights
`void` | `setSubtitle(Content subtitle)` Set the subtitle
`void` | `setTagline(Content tagline)` Sets the feed tagline (Atom 0.3, maps to `setSubtitle(com.sun.syndication.feed.atom.Content)`).
`void` | `setTitle(String title)` Sets the feed title.
`void` | `setTitleEx(Content title)` Sets the feed title.
`void` | `setUpdated(Date updated)` Set the updated
`void` | `setXmlBase(String xmlBase)` Set the xmlBase

Methods inherited from class com.sun.syndication.feed.WireFeed
`clone, equals, getEncoding, getFeedType, getForeignMarkup, hashCode, setEncoding, setFeedType, setForeignMarkup, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Feed

    public Feed()

  Default constructor, for bean cloning purposes only.

### Feed

    public Feed(String type)

  Feed Constructor. All properties, except the type, are set to null.

  Parameters:
    `type` - the type of the Atom feed.

Method Detail

### getLanguage

    public String getLanguage()

  Returns the feed language (Atom 0.3 only)

  Returns:
    the feed language, null if none.

### setLanguage

    public void setLanguage(String language)

  Sets the feed language (Atom 0.3 only)

  Parameters:
    `language` - the feed language to set, null if none.

### getTitle

    public String getTitle()

  Returns the feed title.

  Returns:
    the feed title, null if none.

### setTitle

    public void setTitle(String title)

  Sets the feed title.

  Parameters:
    `title` - the feed title to set, null if none.

### getTitleEx

    public Content getTitleEx()

  Returns the feed title.

  Returns:
    the feed title, null if none.

### setTitleEx

    public void setTitleEx(Content title)

  Sets the feed title.

  Parameters:
    `title` - the feed title to set, null if none.

### getAlternateLinks

    public List<Link> getAlternateLinks()

  Returns the feed alternate links.

  Returns:
    a list of Link elements with the feed alternate links, an empty list if none.

### setAlternateLinks

    public void setAlternateLinks(List<Link> alternateLinks)

  Sets the feed alternate links.

  Parameters:
    `alternateLinks` - the list of Link elements with the feed alternate links to set, an empty list or null if none.

### getOtherLinks

    public List<Link> getOtherLinks()

  Returns the feed other links (non-alternate ones).

  Returns:
    a list of Link elements with the feed other links (non-alternate ones), an empty list if none.

### setOtherLinks

    public void setOtherLinks(List<Link> otherLinks)

  Sets the feed other links (non-alternate ones).

  Parameters:
    `otherLinks` - the list of Link elements with the feed other links (non-alternate ones) to set, an empty list or null if none.

### getAuthors

    public List<Person> getAuthors()

  Returns the feed author.

  Returns:
    the feed author, null if none.

### setAuthors

    public void setAuthors(List<Person> authors)

  Sets the feed author.

  Parameters:
    `authors` - the feed author to set, null if none.

### getContributors

    public List<Person> getContributors()

  Returns the feed contributors.

  Returns:
    a list of Person elements with the feed contributors, an empty list if none.

### setContributors

    public void setContributors(List<Person> contributors)

  Sets the feed contributors.

  Parameters:
    `contributors` - the list of Person elements with the feed contributors to set, an empty list or null if none.

### getTagline

    public Content getTagline()

  Returns the feed tag line (Atom 0.3, maps to `getSubtitle()`).

  Returns:
    the feed tag line, null if none.

### setTagline

    public void setTagline(Content tagline)

  Sets the feed tagline (Atom 0.3, maps to `setSubtitle(com.sun.syndication.feed.atom.Content)`).

  Parameters:
    `tagline` - the feed tagline to set, null if none.

### getId

    public String getId()

  Returns the feed ID.

  Returns:
    the feed ID, null if none.

### setId

    public void setId(String id)

  Sets the feed ID.

  Parameters:
    `id` - the feed ID to set, null if none.

### getGenerator

    public Generator getGenerator()

  Returns the feed generator.

  Returns:
    the feed generator, null if none.

### setGenerator

    public void setGenerator(Generator generator)

  Sets the feed generator.

  Parameters:
    `generator` - the feed generator to set, null if none.

### getCopyright

    public String getCopyright()

  Returns the feed copyright (Atom 0.3, maps to `getRights()`).

  Returns:
    the feed copyright, null if none.

### setCopyright

    public void setCopyright(String copyright)

  Sets the feed copyright (Atom 0.3, maps to `setRights(java.lang.String)`).

  Parameters:
    `copyright` - the feed copyright to set, null if none.

### getInfo

    public Content getInfo()

  Returns the feed info (Atom 0.3 only)

  Returns:
    the feed info, null if none.

### setInfo

    public void setInfo(Content info)

  Sets the feed info (Atom 0.3 only)

  Parameters:
    `info` - the feed info to set, null if none.

### getModified

    public Date getModified()

  Returns the feed modified date (Atom 0.3, maps to `getUpdated()`).

  Returns:
    the feed modified date, null if none.

### setModified

    public void setModified(Date modified)

  Sets the feed modified date (Atom 0.3, maps to `setUpdated(java.util.Date)`).

  Parameters:
    `modified` - the feed modified date to set, null if none.

### getEntries

    public List<Entry> getEntries()

  Returns the feed entries.

  Returns:
    a list of Entry elements with the feed entries, an empty list if none.

### setEntries

    public void setEntries(List entries)

  Sets the feed entries.

  Parameters:
    `entries` - the list of Entry elements with the feed entries to set, an empty list or null if none.

### getModules

    public List<Module> getModules()

  Returns the feed modules.

  Specified by:
    `getModules` in interface `Extendable`
  Overrides:
    `getModules` in class `WireFeed`
  Returns:
    a list of ModuleImpl elements with the feed modules, an empty list if none.

### setModules

    public void setModules(List<Module> modules)

  Sets the feed moduless.

  Specified by:
    `setModules` in interface `Extendable`
  Overrides:
    `setModules` in class `WireFeed`
  Parameters:
    `modules` - the list of ModuleImpl elements with the feed moduless to set, an empty list or null if none.

### getModule

    public Module getModule(String uri)

  Returns the module identified by a given URI.

  Specified by:
    `getModule` in interface `Extendable`
  Overrides:
    `getModule` in class `WireFeed`
  Parameters:
    `uri` - the URI of the ModuleImpl.
  Returns:
    The module with the given URI, null if none.

### getCategories

    public List getCategories()

  Returns the categories

  Returns:
    Returns the categories.
  Since:
    Atom 1.0

### setCategories

    public void setCategories(List<Category> categories)

  Set the categories

  Parameters:
    `categories` - The categories to set.
  Since:
    Atom 1.0

### getIcon

    public String getIcon()

  Returns the icon

  Returns:
    Returns the icon.
  Since:
    Atom 1.0

### setIcon

    public void setIcon(String icon)

  Set the icon

  Parameters:
    `icon` - The icon to set.
  Since:
    Atom 1.0

### getLogo

    public String getLogo()

  Returns the logo

  Returns:
    Returns the logo.
  Since:
    Atom 1.0

### setLogo

    public void setLogo(String logo)

  Set the logo

  Parameters:
    `logo` - The logo to set.
  Since:
    Atom 1.0

### getRights

    public String getRights()

  Returns the rights

  Returns:
    Returns the rights.
  Since:
    Atom 1.0

### setRights

    public void setRights(String rights)

  Set the rights

  Parameters:
    `rights` - The rights to set.
  Since:
    Atom 1.0

### getSubtitle

    public Content getSubtitle()

  Returns the subtitle

  Returns:
    Returns the subtitle.
  Since:
    Atom 1.0

### setSubtitle

    public void setSubtitle(Content subtitle)

  Set the subtitle

  Parameters:
    `subtitle` - The subtitle to set.
  Since:
    Atom 1.0

### getUpdated

    public Date getUpdated()

  Returns the updated

  Returns:
    Returns the updated.
  Since:
    Atom 1.0

### setUpdated

    public void setUpdated(Date updated)

  Set the updated

  Parameters:
    `updated` - The updated to set.
  Since:
    Atom 1.0

### getXmlBase

    public String getXmlBase()

  Returns the xmlBase

  Returns:
    Returns the xmlBase.
  Since:
    Atom 1.0

### setXmlBase

    public void setXmlBase(String xmlBase)

  Set the xmlBase

  Parameters:
    `xmlBase` - The xmlBase to set.
  Since:
    Atom 1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.